﻿Namespace Enums
    Public Enum EnumStatoOperativo
        edtNONE = 0
        edtINSERIMENTO = 1
        edtINSERIMENTO_PUNTI = 2
        edtINSERIMENTO_PARETE = 3
        edtMODIFICA = 4
        edtMODIFICAMULTIPLA = 6
        edtINSERIMENTO_DIREZIONE = 7
        edtDEFINIZIONE_ASTE = 8
        edtSELEZIONE_ASTE = 9
        edtSTRETCH = 10
        edtINSERIMENTO_DISTANZA = 11
        edtINSERIMENTO_DIREZIONE_MENU = 17
        edtINSERIMENTO_DIREZIONE_MENU_OK = 18
        edtMODIFICA_DIREZIONE_MENU = 19
        edtINSERIMENTO_PUNTI_QUOTE = 21
        edtINSERIMENTO_PILASTRI = 22
        edtINTERPOLA_PUNTI_QUOTE = 23
        edtSELEZIONE_COPIA = 24
        edtSELEZIONE_GENERICA = 25
        edtSELEZIONE_GENERICA_STOP = 26
        edtSELEZIONE_GENERICA_PARETE = 27
        edtSTARTPOINT = 30
        edtENDPOINT = 31
        edtSELEZIONE_PARETE = 32
        edtINSERIMENTO_SELETTIVO = 33
        edtCANCELLA = 34
        edtMODIFICAVERTICI = 35
        edtMODIFICA_MATERIALI_MESH = 36
        edtMODIFICA_MESH = 37
        edtCOPIA = 38
        edtGRAFICA = 39
        edtPAN = 40
        edtCALCOLO = 50
        edtSPOSTA = 51
        edtESTENDI = 52
        edtACCORCIA = 53
        edtOFFSET = 54
        edtSPOSTA_NODI_APERTURE = 55
        edtUNIONE = 56
        edtINSERIMENTO_BLOCCO_3D = 60
        edtINSERIMENTO_APERTURA_3D_P_SINGOLO = 61
        edtINSERIMENTO_APERTURA_3D_2P = 62
        edtINSERIMENTO_PILASTRO_3D = 63
        edtSELEZIONE_NODI = 64 'SB - rinforzi
        edtINSERIMENTO_RETTANGOLO = 65 'maschi; fascia; setto parete; setto trave
        edtINSERIMENTO_LINEA = 66
        edtLUNGAPP = 67
        edtINSERIMENTO_STOP_ERROR = 99
        edtINSERIMENTO_STOP = 100
    End Enum
End NameSpace